#
# spec file for package perl-Net-DBus
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           perl-Net-DBus
Version:        1.0.0
Release:        13.4
License:        GPL-2.0+
%define cpan_name Net-DBus
Summary:        Perl extension for the DBus message system
Url:            http://search.cpan.org/dist/Net-DBus/
Group:          Development/Libraries/Perl
Source:         http://www.cpan.org/authors/id/D/DA/DANBERR/%{cpan_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl(XML::Twig)
Requires:       perl(XML::Twig)
# MANUAL
BuildRequires:  dbus-1-devel pkg-config
%{perl_requires}

%description
Net::DBus provides a Perl API for the DBus message system. The DBus Perl
interface is currently operating against the 0.32 development version of
DBus, but should work with later versions too, providing the API changes
have not been too drastic.

Users of this package are either typically, service providers in which case
the the Net::DBus::Service manpage and the Net::DBus::Object manpage
modules are of most relevance, or are client consumers, in which case the
Net::DBus::RemoteService manpage and the Net::DBus::RemoteObject manpage
are of most relevance.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc AUTHORS CHANGES examples LICENSE Net-DBus.spec README

%changelog
* Tue Nov 29 2011 coolo@suse.com
  New in 1.0.0:
  - Updated to require minimum dbus >= 1.0.0
  - Automatically track change in ownership of bus names
  for signal handlers
  - Strict validation of method invocation against introspection
  data on exported objects
  - Improved error messages for invalid interfaces
  - Add API for disconnecting an object from a signal
  - Implement GetAll methods on properties interface
  - Allow leading _ in interface names
  - Other minor fixes
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Tue Mar  2 2010 chris@computersalat.de
- bzipped Source
- cleanup spec
  o added HEADER
  o sort TAGS
  o added cpan_name macro
  o fixed deps
* Sun Feb 28 2010 lnussel@suse.de
- inital package version 0.33.6
